Subject: Re: bug#31302: `guix import json` doesn't handle inputs with the form 'package:output'

From: zimoun <[email-masked]>
Date: Thu, 15 Oct 2020 11:57:47 +0200

Hi Lulu,

Thank you for working of this.

On Wed, 14 Oct 2020 at 09:12, Lulu <[email-masked]> wrote:

> I just checked this and failed to replicate it. It happily generates
> config from `glib:doc', `glib:bin' and `glib:out' in input fields and
> complains if there's a nonexistent `glib:foo' input, as of v1.1.0.

Could you provide the commit (hash) of the Guix you are using?
Personally, I do “guix describe” and paste then the short hash
(58af4c9).  Then it is easier to reproduce or replicate or see if it is
fixed in which version.

Then, could you provide the sequence of commands you used for
“replication“?  And the file example you used too.  It eases the process
for confirming or not. :-)

Thanks,
simon